# Update Streaming Endpoint

patch `https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name`

Update a Streaming Endpoint. Only the Name and cdnProvider fields are immutable.

RBAC Capability Required: `ams.streamingendpoint.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name` string Required
- `endpoint_name` string Required

## Request

This endpoint expects an object.

- `location` string Required  
  The name of the location in which the streaming endpoint is located. This field must match the location in which the user's subscription is provisioned.

- `properties` object [StreamingEndpointProperties](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointproperties) Required  
  The properties of the streaming endpoint.

### accessControl object [StreamingEndpointAccessControl](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointaccesscontrol) Optional  
 The access control settings for the streaming endpoint.

### akamai object [StreamingEndpointAkamiACL](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointakamiacl) Optional Deprecated  
  DEPRECATED: This is provided for backwards compatibility and will be removed in a future release.

### akamaiSignatureHeaderAuthenticationKeyList list of objects [AkamiHeaderAuthKey](https://docs.mediakind.com/api-reference/media-api/schemas/akamiheaderauthkey) Required Deprecated  
  DEPRECATED: This is provided for backwards compatibility and will be removed in a future release. 
  Learn more: [example-authentication-headers](https://techdocs.akamai.com/netstorage-usage/reference/example-authentication-headers)

- `ip` object [StreamingEndpointIPACL](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointipacl) Optional  
  IP-based access control configuration for the streaming endpoint. If omitted, this will default to 0.0.0.0/0.

- `allow` list of objects [IPAcl](https://docs.mediakind.com/api-reference/media-api/schemas/ipacl) Required  
    The IP allow list.
    - `address` string Required
    - `name` string Optional Defaults to
    - `subnetPrefixLength` integer Optional  
           0 to 32 Defaults to 32  
           The subnet prefix length (see CIDR notation).

- `advancedSettingsName` string or null Optional <=64 characters
  Name of the advanced settings configuration to apply to this streaming endpoint.

- `cdnEnabled` boolean Optional Defaults to false
  Indicates if CDN is enabled for the streaming endpoint.

- `cdnProfile` string Optional <=100 characters
  If CDN is enabled, the optional CDN profile name for the streaming endpoint.

- `description` string or null Optional <=1024 characters
  The description of the streaming endpoint.

- `maxCacheAge` integer Optional 0 to 2592000 Defaults to 86400
  The maximum amount of time that segments will be cached, in seconds.

## Response

- `200` The updated Streaming Endpoint

- `location` string Required
- `properties` object [StreamingEndpointProperties](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointproperties) Required

## Errors

- `400 Bad Request`

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - `code` string Required
    - `detail` string Required
    - `ref` string Required
    - `status` integer Required.
